#ifndef __GAMECONVBUBBLE_H
#define __GAMECONVBUBBLE_H

#include "Game/Item.h"

namespace Salp {
namespace Game {

class ConvBubble : public Item
{
    public:
        explicit ConvBubble(const Tile::Sequence *tseq,
                        const char * bubtext, const Uint32 id=0);
        ~ConvBubble();

        void animate();
        virtual void drawImage(SDL_Surface *screen,
                               const Sint32 topx,
                               const Sint32 topy);

     private:
        string _bubtext; // text to display in the bubble
        int _framesleft; // till i disappear
};

} // namespace Game
} // namespace Salp

#endif
