#ifndef __GAME_GENDER_H
#define __GAME_GENDER_H

#include <string>
using namespace std;

namespace Salp {
namespace Game {

	class Gender {
	  public:
        Gender();
        Gender(const char type);
        
        string getGenderString();
        string getHe();  // he  / she / it
        string getHim(); // him / her / it  (NOTE: does NOT return "hers")
        string getHis(); // his / her / its

        char setGender(const char c);   // m, f, n
        char setGender(const char * c); // same as setGender(c[0])
        
      private:
        char _gtype; // 'm'ale, 'f'emale, 'n'euter
	};

}; // namespace Game
}; // namespace Salp

#endif
