#ifndef __GAMEPATHCP_H
#define __GAMEPATHCP_H

#include <vector>

#include "Path.h"
#include "Vector.h"

namespace Salp {
namespace Game {

class PathCP : public Path
{
    public:
        PathCP();
        ~PathCP();
        unsigned int getControlPointCount() const;
        void getTargCoord(int& targx, int& targy);
        void nextCoord();

        void addControlPoint(int x, int y);

    private:
        unsigned int _targetpoint; // which point we're going to next
        std::vector<Game::Vector *> _controlpoints;
};



} // namespace Game
} // namespace Salp

#endif
