#ifndef __MAIN_INPUT_H
#define __MAIN_INPUT_H

#include <map>
#include <string>
#include "SALP_SDL.h"

using namespace std;

bool configJoystickInteractively(map<int, char>& joyMap, string joyname);
int getJoyButton();
SDL_Cursor *initSystemCursor(const char *image[]);
void loadJoystickMapDefaults(map<int, char>& joyMap);
bool loadKeyboardMap(map<int, char>& keyMap, string fpath);
void loadKeyboardMapDefaults(map<int, char>& keyMap);
bool mapJoyButtonInteractively(map<int, char>& joyMap, string promptText, int gamebutton);
void musicDone();
bool saveKeyboardMap(map<int, char>& keyMap, string fpath);

extern const char *arrow[];
#endif
