#include <cassert>
#include "Game/ItemEffect.h"

#include <time.h>

namespace Salp {
namespace Game {

ItemEffect::ItemEffect(const Tile::Sequence *tseq,
               const Uint32 id) : Item(tseq, id)
{

    setType(
             getType()
   //       & ~GI_USE_VEL_THRESH           // UNUSED
   //       &  ~GI_ON_COLLIDE_LOSE_VEL 
   //       &  ~GI_ON_COLLIDE_GIVE_VEL 
   //       &  ~GI_ON_COLLIDE_TAKE_VEL 
   & ~GI_CAN_COLLIDE_WITH_ITEM
   & ~GI_CAN_COLLIDE_WITH_MAP
   & ~GI_IS_AFFECTED_BY_GRAVITY 
   //       &  ~GI_IS_AFFECTED_BY_TRACTION 
   //       &  ~GI_CAN_RIDE_ITEMS
        );
}

ItemEffect::~ItemEffect()
{

}

void ItemEffect::onDrewLastFrame() {
   // Get rid of me!
   getGameState()->delItemDelayed(this);
}


} // namespace Game
} // namespace Salp
