#ifndef __GAMEPATH_H
#define __GAMEPATH_H

namespace Salp {
namespace Game {

enum { GPATH_CONTROL_POINT, GPATH_ELLIPTICAL };

class Path
{
    public:
        virtual ~Path();
        virtual void getTargCoord(int& targx, int& targy) = 0;
        virtual void nextCoord() = 0;

    private:
        // common
        int _type;

};


} // namespace Game
} // namespace Salp

#endif
