#ifndef __GAMEPATHELLIPTICAL_H
#define __GAMEPATHELLIPTICAL_H

#include "Path.h"

namespace Salp {
namespace Game {

class PathElliptical : public Path
{
    public:
        PathElliptical();

        void getTargCoord(int& targx, int& targy);
        void nextCoord();

        void setEllipse(unsigned int xpos, unsigned int ypos, unsigned int xrad=100, unsigned int yrad=100,
                        unsigned int steps=100, float rotdeg=0);
    private:
        int _xpos, _ypos;
        unsigned int _yrad, _xrad;
        float _currtheta, _rotdeg, _stepdeg;
};

} // namespace Game
} // namespace Salp

#endif
